Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class UsesSequenceSTR

    java.lang.Object
      org.apache.sandesha2.wsrm.UsesSequenceSTR

All Implemented Interfaces:
  IOMRMElement, IOMRMPart

public class UsesSequenceSTR
extends java.lang.Object
implements IOMRMPart

Class which handles the UsesSequenceSTR header block

Constructor Summary
`UsesSequenceSTR(org.apache.axiom.soap.SOAPFactory factory, java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement header)`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement header)`
`void` | `toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsesSequenceSTR

    public UsesSequenceSTR(org.apache.axiom.soap.SOAPFactory factory,
                           java.lang.String namespaceValue)
                    throws SandeshaException

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement header)
                                   throws org.apache.axiom.om.OMException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement header)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toSOAPEnvelope

    public void toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)

  Specified by:
    `toSOAPEnvelope` in interface `IOMRMPart`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.